CERTMASTER-SYNC(1)

NAME
certmaster-sync -- synchronize client certificates with Func.

SYNOPSIS
certmaster-sync [-f|--force]

DESCRIPTION
certmaster-sync synchronizes client certificates amongst certmaster clients via Func. It is assumed that the hosts who have requested certificates are reachable via Func for synchronization operations.

certmaster-sync by default is called as a post-sign and post-clean trigger. In order to enable synchronization you must set sync_certs to True, see CONFIGURATION VALUES below.

The synchronization occurs by querying remote Func methods in certmastermod on the minion hosts. This will gather information, copy any new certificates, and remove any certificates that have been cleaned.

OPTIONS

-f, --force
    Override the configuration value for sync_certs in /etc/certmaster/certmaster.conf

CONFIGURATION VALUES

sync_certs
    sync_certs determines whether or not the script will actually synchronize or if it will exit with no operation. You can use -f|--force to override this configuration value. (Default: False)

ADDITONAL RESOURCES
See https://fedorahosted.org/certmaster. It's a Wiki. See also https://fedorahosted.org/func

AUTHOR
John Eckersberg <jeckersb@redhat.com>